Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 453134

Summary: xawtv missing font package dependency
Product: [Fedora] Fedora Reporter: Michael J. Chudobiak <mjc>
Component: xawtvAssignee: Dmitry Butskoy <dmitry>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-22 11:36:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michael J. Chudobiak 2008-06-27 14:28:36 UTC
xawtv is missing an xorg-x11-fonts-?? package dependency. It is possible to
install and run xawtv without the right font package, it which case xawtv says
"Oops: can't load any font" and aborts.

I'm not sure which exact rpm it needs. I installed all xorg-x11-fonts-* packages
to fix the problem.

- Mike

Comment 1 Dmitry Butskoy 2008-06-27 15:23:22 UTC
It requires at least some bitmap fonts (normally from /usr/share/X11/fonts).

Different rpms can provide this, hence a solution could be just to add
"Requires: /usr/share/X11/fonts", although it seems not reliable.

You can try to leave only xorg-x11-fonts-75dpi -- it should satisfy.

Actually, all the font specifications for xawtv are set in
/usr/share/X11/app-defaults/Xawtv file. But I don't know whether non-bitmap is
allowable at all or not...


Comment 2 Dmitry Butskoy 2008-07-21 15:54:19 UTC
What font packages are installed on your system?

Run "rpm -qa \*font\*" to obtain a list...


Comment 3 Michael J. Chudobiak 2008-07-21 17:54:11 UTC
Sorry, I've reconfigured the system and I am not using xawtv currently, so I
can't provide any additional details. This packaging glitch is not affecting me
currently, so you can close the bug if you want. Or fix it :-)

- Mike